# Uses of Interface
org.springframework.jdbc.core.ConnectionCallback

Packages that use ConnectionCallback
Package
Description
org.springframework.jdbc.core
Provides the core JDBC framework, based on JdbcTemplate and its associated callback interfaces and helper objects.

## Uses of ConnectionCallback in org.springframework.jdbc.core

Methods in org.springframework.jdbc.core with parameters of type ConnectionCallback
Modifier and Type
Method
Description
`<T> T`
JdbcOperations.`execute(ConnectionCallback<T> action)`
Execute a JDBC data access operation, implemented as callback action working on a JDBC Connection.
`<T> T`
JdbcTemplate.`execute(ConnectionCallback<T> action)`